Bug 978870 - CLI - changeset update --add_.. --remove_.. commands show exceptions
CLI - changeset update --add_.. --remove_.. commands show exceptions
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: David Davis
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 05:11 EDT by Ales Dujicek
Modified: 2014-06-19 15:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 12:43:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Dujicek 2013-06-27 05:11:01 EDT
Description of problem:

when you specify empty or bad parameter for some changeset update --add_... --remove_... commands,
then CLI shows various exceptions:

changeset update --org org --environment env --name changeset --from_product product --add_erratum ""
undefined method `errata_id' for nil:NilClass

changeset update --org org --environment env --name changeset --from_product product --add_package "xx"
undefined method `delete' for nil:NilClass

changeset update --org org --environment env --name changeset --from_product product --add_package ""
undefined method `split' for nil:NilClass

changeset update --org org --environment env --name changeset --from_product product --remove_erratum "xx"
undefined method `errata_id' for nil:NilClass

Version-Release number of selected component (if applicable):
katello-glue-elasticsearch-1.4.2-18.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-agent-1.4.3-1.git.1.24fe511.el6.noarch
signo-katello-0.0.19-1.el6sat.noarch
katello-configure-foreman-1.4.3-16.el6sat.noarch
katello-certs-tools-1.4.2-2.el6sat.noarch
katello-cli-1.4.2-8.el6sat.noarch
ruby193-rubygem-foreman-katello-engine-0.0.8-6.el6sat.noarch
katello-common-1.4.2-18.el6sat.noarch
katello-1.4.2-18.el6sat.noarch
katello-foreman-all-1.4.2-18.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
ruby193-rubygem-katello_api-0.0.3-2.el6_4.noarch
katello-configure-1.4.3-16.el6sat.noarch
katello-glue-candlepin-1.4.2-18.el6sat.noarch
katello-all-1.4.2-18.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.3-6.el6sat.noarch
katello-cli-common-1.4.2-8.el6sat.noarch
katello-selinux-1.4.3-3.el6sat.noarch
katello-glue-pulp-1.4.2-18.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch

How reproducible:
always

Steps to Reproduce:
1.
org create --name org
environment create --name env --prior Library --org org
provider create --org org --name provider
product create --name product --org org --provider provider
changeset create --org org --environment env --name changeset
2.
changeset update --org org --environment env --name changeset --from_product product --add_erratum ""
changeset update --org org --environment env --name changeset --from_product product --add_package "xx"
changeset update --org org --environment env --name changeset --from_product product --add_package ""
changeset update --org org --environment env --name changeset --from_product product --remove_erratum "xx"
Comment 1 RHEL Product and Program Management 2013-09-17 00:24:46 EDT
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 5 Bryan Kearney 2014-03-11 12:43:14 EDT
Closing old bugs which are not relevant based on new UI and CLI

Note You need to log in before you can comment on or make changes to this bug.